Product usage API
24 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.
| Method | Path | Description |
|---|---|---|
GET |
/api/product-usage/accounts/{account_id} |
Account Usage |
GET |
/api/product-usage/config |
Get Config |
PUT |
/api/product-usage/config |
Put Config Accepts a JSON body. |
GET |
/api/product-usage/entitlements |
List Entitlements Query: account_id, product_id. |
POST |
/api/product-usage/entitlements |
Create Entitlement Accepts a JSON body. |
POST |
/api/product-usage/entitlements/sync-contracts |
Sync Entitlements From Contracts |
PATCH |
/api/product-usage/entitlements/{ent_id} |
Update Entitlement Accepts a JSON body. |
DELETE |
/api/product-usage/entitlements/{ent_id} |
Delete Entitlement |
GET |
/api/product-usage/keys |
List Keys |
POST |
/api/product-usage/keys |
Create Key Accepts a JSON body. |
DELETE |
/api/product-usage/keys/{key_id} |
Revoke Key |
GET |
/api/product-usage/meters |
List Meters |
POST |
/api/product-usage/meters |
Create Meter Accepts a JSON body. |
PATCH |
/api/product-usage/meters/{meter_id} |
Update Meter Accepts a JSON body. |
DELETE |
/api/product-usage/meters/{meter_id} |
Delete Meter |
GET |
/api/product-usage/overview |
Usage Overview Query: period. |
GET |
/api/product-usage/products/{product_id} |
Product Usage |
POST |
/api/product-usage/recompute |
Recompute |
GET |
/api/usage/dashboard |
Usage Dashboard Query: account_id. |
GET |
/api/usage/events |
List Events Query: account_id, event_name, limit, offset. |
POST |
/api/usage/ingest |
Ingest Event Accepts a JSON body. |
POST |
/api/usage/ingest/batch |
Ingest Batch Accepts a JSON body. |
POST |
/api/usage/ingest/events |
Ingest Events |
POST |
/api/usage/ingest/metrics |
Ingest Metrics |
Try it
The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.